<?php

namespace FiloBlu\Paymentscapture\Console;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use FiloBlu\Paymentscapture\Model\Orderclean;

class CleanCommand extends Command
{
    /**
     * @var Orderclean
     */
    private $cleaner;
    
    /**
     *
     * @var \Magento\Framework\App\State 
     */
    private $state;

    /**
     * Constructor
     * @param Orderclean $capturer
     */
    public function __construct(Orderclean $capturer, \Magento\Framework\App\State $state)
    {
        $this->cleaner = $capturer;
        $this->state = $state;
        parent::__construct();
    }
 
    protected function configure()
    {
        $this->setName('filoblu:paymentscapture:clean')->setDescription('Clean stalled orders based on configuration parameters');
    }
 
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->cleaner->cleanOrders();
    }
 
}